﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using EEMSMain.Data;
using UICommon.CommonContainer;

namespace EEMSMain.ViewModels;

public partial class MainWindowViewModel(ICommonContainer commonContainer, ContainerManager containerManager) : ObservableObject
{
    private readonly ICommonContainer _commonContainer = commonContainer;
    public ContainerManager ContainerManager { get; } = containerManager;

    [ObservableProperty]
    private string? _CurrentModule;

    [RelayCommand]
    private void Open(ContainerInfo para)
    {
        try
        {
            _commonContainer.RequestNavigation(para.ModuleName);
            this.CurrentModule = para.Name;
        }
        catch
        {
        }
    }
}
