﻿using UICommon.CommonContainer;
using ConfigFileManager.Views;
namespace ConfigFileManager;

[Module(ModuleName = "ConfigFileManager", OnDemand = false)]
public class ConfigFileManagerModule:IModule
{
    public ConfigFileManagerModule(ICommonContainer commonContainer)
    {
        commonContainer.AddModule("DeviceManagement");
        //ImageSource imageSource=new 
        commonContainer.AddNavigation(new(2, "配置文件", "ConfigFileManager", false, null!));
    }

    void IModule.OnInitialized(IContainerProvider containerProvider)
    {
        IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();

        ICommonContainer commonContainer = containerProvider.Resolve<ICommonContainer>();
        regionManager.RegisterViewWithRegion(commonContainer.MainReginName, typeof(ConfigFileManager.Views.ConfigFileManager));
    }

    void IModule.RegisterTypes(IContainerRegistry containerRegistry)
    {
        containerRegistry.RegisterForNavigation<ConfigFileManager.Views.ConfigFileManager, ConfigFileManager.ViewModels.ConfigFileManagerViewModel>("ConfigFileManager");
    }
}
