﻿using DeviceManagement.ViewModels;
using DeviceManagement.Views;
using GlobalData;
using UICommon.CommonContainer;

namespace DeviceManagement;
[Module(ModuleName = "DeviceManagement", OnDemand = false)]

public class DeviceManagementModule : IModule
{
    public DeviceManagementModule(ICommonContainer commonContainer)
    {
        commonContainer.AddModule("DeviceManagement");
        commonContainer.AddNavigation(new(1, "设备信息", "DeviceManagement", false, null!));
    }

    void IModule.OnInitialized(IContainerProvider containerProvider)
    {
        IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();

        ICommonContainer commonContainer = containerProvider.Resolve<ICommonContainer>();
        regionManager.RegisterViewWithRegion(commonContainer.MainReginName, typeof(DeviceManager));
    }

    void IModule.RegisterTypes(IContainerRegistry containerRegistry)
    {
        containerRegistry.RegisterForNavigation<DeviceManager, DeviceManagerViewModel>("DeviceManagement");
        containerRegistry.RegisterSingleton<DeviceCollection>();

    }
}
